# Configuration Files

{% tabs %}
{% tab title="config.yml" %}
{% code title="config.yml" %}

```yaml
# Configuration file for Gamemode Change.
# For support, please join my discord @ https://discord.gg/6QNEGPK3Fb

# Should your gamemode get updated on join to the server?
joinChange:
  enabled: false
  # 0 = Survival | 1 = Creative | 2 = Adventure | 3 = Spectator
  gamemode: 0

antiCreative:
  # Do you want to make it so people can't access gamemode creative unless they have the bypass permission?
  enabled: false
  # Do you want to block OP'ed players from changing to gamemode creative?
  blockOp: false

notify:
  # Do you want the notification feature of a gamemode change to enabled or disabled?
  enabled: false
  # Should you get sent notifications for the different gamemodes?
  gamemodes:
    creative: true
    survival: true
    adventure: true
    spectator: true

deathChange:
  # Toggle if your gamemode gets changed when you/a player dies.
  enabled: false
  # The gamemode you want players to change into if a player dies.
  # deathToggle must be set to true.
  # 0 = Survival | 1 = Creative | 2 = Adventure | 3 = Spectator
  gamemode: 2

# Do you want you can also do this to other players to be enabled or disabled?
hasOtherPermsMSG: false

```

{% endcode %}
{% endtab %}

{% tab title="messages.yml" %}
{% code title="messages.yml" %}

```yaml
# Gamemode Change Messages File
# All messages can use colour codes.
# All messages support PlaceholderAPI.

# This is the message that comes up when you haven't got permission to do what you are trying to do.
# Use %perm% to get the permission for the action they are attempting to do.
noPerm: "&c[!] You do not have permissions to do that. You need &b%perm%&c."

# This message comes up when you have changed your gamemode.
# Use %gamemode% for the new gamemode.
changedGM: "&a[!] Your gamemode has been changed to &b%gamemode%&a!"

# This is the message that comes up when you have changed someone else's gamemode.
# Use %gamemode% for the new gamemode.
# Use %target% to show the targets name.
changedOther: "&a[!] You have changed &b%target%&a's gamemode to &b%gamemode%&a."

# You can change what the %gamemode% results could be.
creative: "CREATIVE"
survival: "SURVIVAL"
adventure: "ADVENTURE"
spectator: "SPECTATOR"

# This is the error message that will be displayed when a player isn't found.
invalidPlayer: "&c[!] The player provided is not found."

# This is the error message that will be displayed when a command is used incorrectly.
# Use %usage% to display the command and arguments.
invalidUsage: "&c[!] Valid usage: &b%usage%"

# This is the error message that will be displayed when an invalid gamemode is provided.
invalidGM: "&c[!] Invalid gamemode. Gamemodes: Creative, Survival, Adventure or Spectator."

# This is the message that is displayed if hasOtherPermsMSG is enabled.
othersMSG: "&7[!] You can change other players gamemodes."

# This is the error message that will be displayed when someoene tries to go into creative mode
# without the bypass anti-creative permission. (MUST BE ENABLED IN config.yml)
# Use %perm% for the anti-creative bypass permission.
antiCreativeError: "&c[!] You do not have permission to go into creative mode. You need the bypass permission (&b%perm%&c)."

# This is the message that will be sent when you have gamemode change's notification feature enabled.
# Use %player% to display the player name.
# Use %gamemode% to display the new gamemode.
notify:
  main: "&c[!] &b%player% &chas just changed there gamemode to &b%gamemode%&c."
  antiCreative: "&c[!] &b%player% &chas been blocked from going into creative. They have been kept as %gamemode%."


```

{% endcode %}
{% endtab %}

{% tab title="perms.yml" %}
{% code title="perms.yml" %}

```yaml
# Permissions configuration file for Gamemode Change.
# For support, please join my discord @ https://discord.gg/6QNEGPK3Fb
# To give player's permissions, you need a permission handler.

# Permission to be able to do the commands.
gamemode: 'gmchange.gamemode'

# Creative gamemode permission
creative: 'gmchange.creative'

# Survival gamemode permission
survival: 'gmchange.survival'

# Adventure gamemode permission
adventure: 'gmchange.adventure'

# Spectator gamemode permission
spectator: 'gmchange.spectator'

# Change other player's gamemode permission
others: 'gmchange.others'

# Permission to bypass features.
bypass:
  antiCreative: "gmchange.bypass.anticreative"
  death: "gmchange.bypass.death"
  notify: "gmchange.bypass.notify"
  joinChange: "gmchange.bypass.join"

# Permission to receive gamemode change notifications.
notify:
  main: "gmchange.notify"
  antiCreative: "gmchange.notify.antiCreative"

```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ryanmood.me/gamemode-change/configuration-files.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
